summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergey Alirzaev <zl29ah@gmail.com>2018-06-19 10:49:49 +0300
committerAndreas Sturmlechner <asturm@gentoo.org>2019-04-25 23:55:43 +0200
commit8c8ac8ed4ff92d2376c9f12065f5f3c15e7ac045 (patch)
treef233e25fc74ce01f7a7b93124db153162e3797d5
parentmedia-gfx/simple-scan: 3.30.2 → 3.32.2 (diff)
downloadgentoo-8c8ac8ed4ff92d2376c9f12065f5f3c15e7ac045.tar.gz
gentoo-8c8ac8ed4ff92d2376c9f12065f5f3c15e7ac045.tar.bz2
gentoo-8c8ac8ed4ff92d2376c9f12065f5f3c15e7ac045.zip
dev-libs/libbulletml: don't override the system-wide flags
Signed-off-by: Sergey Alirzaev <zl29ah@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/9714 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
-rw-r--r--dev-libs/libbulletml/libbulletml-0.0.6.ebuild3
1 files changed, 3 insertions, 0 deletions
diff --git a/dev-libs/libbulletml/libbulletml-0.0.6.ebuild b/dev-libs/libbulletml/libbulletml-0.0.6.ebuild
index 8a90adf3239..62b2ec3e1b7 100644
--- a/dev-libs/libbulletml/libbulletml-0.0.6.ebuild
+++ b/dev-libs/libbulletml/libbulletml-0.0.6.ebuild
@@ -22,6 +22,9 @@ src_prepare() {
epatch "${FILESDIR}"/${P}-gcc43.patch \
"${FILESDIR}"/${P}-gcc46.patch
rm -r boost || die
+
+ # don't override the system-wide flags
+ sed -i -e '/^CFLAGS =/d;/^CXXFLAGS =/d' Makefile ygg/Makefile || die
}
src_compile() {